import { IElasticsearchIndexingTaskValues, IElasticsearchIndexingTaskValuesKeys, IManager } from "../../types";
import { ITaskResponseResult } from "@webiny/tasks/response/abstractions";
import { IndexManager } from "../../settings";
export declare class ReindexingTaskRunner {
    private readonly manager;
    private keys?;
    private readonly indexManager;
    private readonly response;
    constructor(manager: IManager<IElasticsearchIndexingTaskValues>, indexManager: IndexManager);
    /**
     * When running the task, we always must check:
     * * if task is close to timeout
     * * if task was aborted
     */
    exec(keys: IElasticsearchIndexingTaskValuesKeys | undefined, limit: number): Promise<ITaskResponseResult>;
}
